amarok (2:3.3.3-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - 2: epoch added.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Jun 2026 15:29:38 +0100

amarok (3.3.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Drop patch valgrind_uninitialized_value, as it is obsolete since the
    upstream tag/version 2.9.82.
  * Mark the debian_mysqle_amarok_local_errmsg_feature.diff patch that it does
    not need to be forwarded upstream: it is implemented by copying errmsg.sys
    files from mysql/mariadb into amarok's data directory at build time, which
    is not exactly something that upstream would do.
  * Add a basic debian/upstream/metadata file.
  * Bump Standards-Version to 4.7.4, no changes required.

  [ Samuel Henrique ]
  * Update my name and email address.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Jun 2026 05:33:10 +0200

amarok (2:3.3.2-1ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:48:37 +0000

amarok (2:3.3.2-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:27:37 +0000

amarok (2:3.3.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - 2: epoch added.
    - Kubuntu Vcs and maintainer fields..

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 08:33:14 +0000

amarok (3.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Use new Extra team’s mailing list email as the Maintainer.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 6.5.0
    - fix the version of qt6-webengine-dev to be 6.7.0 like the other Qt
      packages
  * Update the QML dependencies to Qt 6 (missed in 3.3.1-1):
    - remove qml-module-org-kde-kirigami2, qml-module-qtqml-models2,
      qml-module-qtquick-controls2, qml-module-qtquick-dialogs,
      qml-module-qtquick-layouts, qml-module-qtquick2, and
      qml-module-qtwebengine
    - add qml6-module-org-kde-kirigami, qml6-module-qtqml-models,
      qml6-module-qtquick, qml6-module-qtquick-controls,
      qml6-module-qtquick-layouts, and qml6-module-qtwebengine

 -- Pino Toscano <pino@debian.org>  Mon, 19 Jan 2026 08:49:25 +0100

amarok (2:3.3.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (3.3.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jan 2026 15:37:11 +0000

amarok (2:3.3.1-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - 2: epoch added.

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Nov 2025 12:42:40 +0000

amarok (3.3.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Properly use the kf6 dh addon when calling dh_auto_configure (as amarok
    is based on Qt 6 / KF6), rather than kf5.
  * Add the libcrypt-dev build dependency, as a couple of plugins link to it.
    (Closes: #1107026)
  * Tweak the descriptions a bit. (Closes: #1111872)
  * Switch the libqt5sql5-mysql, libqt5sql5-psql, and libqt5sql5-sqlite suggests
    to their Qt 6 counterparts, i.e. libqt6sql6-mysql, libqt6sql6-psql, and
    libqt6sql6-sqlite.
  * Update amarok.install according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore.
  * Since Amarok 3.3 Phonon is no more used, so:
    - drop the libphonon4qt6-dev, and libphonon4qt6experimental-dev build
      dependencies
    - drop the "Phonon Backend" section in README.Debian
    - drop phonon4qt5-backend in debian/bug-control
    - drop amarok.bug-presubj, which is practically entirely about Phonon

  [ Boyuan Yang ]
  * Drop build-dep on transitional pkg libtag1-dev again.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Oct 2025 09:29:44 +0200

amarok (3.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (3.3.1).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Bump Standards-Version to 4.7.2, no change required.
  * Refresh patches.
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 13 Aug 2025 19:53:16 +0200

amarok (2:3.2.2-1ubuntu2) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 15 Jul 2025 13:03:31 +0300

amarok (2:3.2.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    2: epoch.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2025 13:15:53 +0000

amarok (3.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Feb 2025 13:03:46 +0100

amarok (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.108.0
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 20:15:12 +0100

amarok (3.1.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Update build-dependency package name:
    + libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 21:53:04 -0500

amarok (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libkf5textwidgets-dev
    - drop libkf5declarative-dev, no more used

 -- Pino Toscano <pino@debian.org>  Mon, 30 Sep 2024 08:04:30 +0200

amarok (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - debian_mysqle_amarok_local_errmsg_feature.diff: refresh, and adapt to the
      new upstream code
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.89.0
    - drop no more needed libkf5attica-dev, and libkf5newstuff-dev
  * Update install files.
  * Drop no more needed ${perl:Depends} substvar from amarok-common.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 04 Aug 2024 08:03:17 +0200

amarok (3.0.1-3) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Depend directly on libmariadbd-dev.
  * Update package contents to be compatible with MariaDB 11.4.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Jul 2024 22:35:40 +0200

amarok (3.0.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Update debian/README.Debian a bit, notably:
    - drop references to URLs, features, and files not available anymore
    - update the Phonon section a bit to the current way to configure it;
      the feature availability still needs to be reviewed, though

 -- Pino Toscano <pino@debian.org>  Fri, 21 Jun 2024 07:25:00 +0200

amarok (3.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update path in watch file; switch to version 4.
  * Update the patches:
    - debian_mysqle_amarok_local_errmsg_feature.diff: port to Qt5
    - debian_find_mysql_fix.diff: drop, as mysql_config_pic has not been
      shipped in years
    - debian_clamz_is_runtime_dependency.diff: drop, as amzdownloader was
      dropped
    - valgrind_uninitialized_value: refresh/update
    - no-mp3tunes.diff: drop, as the mp3tunes service is disabled upstream now
    - use-secrure-URLs.diff: drop, fixed upstream
  * Update the build dependencies following the port to Frameworks:
    - remove libqtwebkit-dev, libqt4-opengl-dev, kdelibs5-dev, libqjson-dev,
      libqca2-dev, and liblastfm-dev
    - add qtbase5-dev, qttools5-dev, qtdeclarative5-dev, libqt5svg5-dev,
      qtquickcontrols2-5-dev, qtwebengine5-dev, libphonon4qt5-dev,
      libphonon4qt5experimental-dev, extra-cmake-modules, libkf5archive-dev,
      libkf5attica-dev, libkf5codecs-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5declarative-dev, libkf5dnssd-dev,
      libkf5doctools-dev, libkf5globalaccel-dev, libkf5guiaddons-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5kcmutils-dev, libkf5kio-dev,
      libkf5newstuff-dev, libkf5notifications-dev, libkf5package-dev,
      libkf5solid-dev, libkf5texteditor-dev, libkf5threadweaver-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      kirigami2-dev, libqca-qt5-2-dev, and liblastfm5-dev
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump libtag1-dev to 1.12
    - add libmygpo-qt-dev, as it can be used without issues now
    - add dh-exec, for architecture-specific bits in install files
    - replace libgtk2.0-dev with libgdk-pixbuf-2.0-dev
    - explicitly add gettext, pkgconf, and python3:any
    - drop libtag-extras-dev, as it is no more available in Debian
    - drop libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev, and
      libgcrypt20-dev, as mp3tunes is disabled
    - drop libwrap0-dev, and libaio-dev, no more needed
  * Use the right dh addon:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
    - stop using the kde addon
  * Switch the cmake parameter -DKDE4_BUILD_TESTS=false to the KF5 equivalent,
    -DBUILD_TESTING=false.
  * Update install files.
  * Switch /usr/share/kde4/apps/amarok/mysqle references to
    /usr/share/amarok/mysqle.
  * Drop the libqtscript4-core, libqtscript4-gui, libqtscript4-network,
    libqtscript4-xml, libqtscript4-sql, and libqtscript4-uitools dependencies,
    as they are no more needed (Qt5 Declarative is used).
  * amzdownloader was dropped, so:
    - drop the clamz recommend from amarok
    - stop mentioning it in the description of amarok-utils
  * Switch the libqt4-sql-sqlite, libqt4-sql-mysql, and libqt4-sql-psql suggests
    to their Qt5 counterparts, i.e. libqt5sql5-sqlite, libqt5sql5-mysql, and
    libqt5sql5-psql.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Update lintian overrides.
  * Drop all the locally provided man pages: either they refer to tools that
    do not exist anymore, or they are terribly outdated.
  * Drop removal of COPYING files, as they are no more installed.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Use execute_after_dh_install-indep to avoid invoking dh_install manually,
    and to remove the manual check for arch:all packages being built.
  * Drop breaks/replaces for versions older than Jessie (current oldoldstable).
  * Update the bug control file to request the status of phonon4qt5-backend
    instead of phonon-backend.
  * Extend debian_mysqle_amarok_local_errmsg_feature.diff to load translated
    errmsg.sys files as well: add a Python script to copy not only the English
    errmsg.sys, but also all the available (at this time) translation errmsg.sys
    files
    - drop amarok-common.dirs, as all the needed directories are created by the
      copying script
  * Rewrite copyright to copyright-format v1.0, and massively update it.
  * Drop the migration from amarok-dbg, no more needed anymore at this point.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Drop debian/NEWS, as it refers to changes done more than 14 years ago.
  * Ship the D-Bus interfaces XML files, as they may be useful.
  * Actually print all the files explicitly dropped from debian/tmp.
  * Add the dependencies for the QML modules used: qml-module-org-kde-kirigami2,
    qml-module-qtqml-models2, qml-module-qtquick-controls2,
    qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick2,
    and qml-module-qtwebengine.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Jun 2024 08:38:03 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog amarok-utils`.
